pbs_rerunjob(3B)

NAME
pbs_rerunjob - rerun a PBS batch job

SYNOPSIS
#include <pbs_error.h>
#include <pbs_ifl.h>

int pbs_rerunjob(int connect, char *job_id, char *extend)

DESCRIPTION
Issue a batch request to rerun a batch job.

A Rerun Job batch request is generated and sent to the server over the connection specified by connect which is the return value of pbs_connect().

If the job is marked as being not rerunnable, the request will fail and an error will be returned.

The argument, job_id , identifies which job is to be rerun it is specified in the form:
    sequence_number.server

The parameter, extend , is reserved for implementation-defined extensions.

SEE ALSO
qrerun(1B), qsub(1B), and pbs_connect(3B)

DIAGNOSTICS
When the batch request generated by pbs_rerunjob() function has been completed successfully by a batch server, the routine will return 0 (zero). Otherwise, a non zero error is returned. The error number is also set in pbs_errno.